Une nouveauté intéressante de la version de développement de Pino

Pino, le client léger pour identi.ca et Twitter vient de se voir rajouter récemment une fonctionnalité qui lui faisait défaut : la possibilité de choisir des micro-articles en tant que favoris.

Pour les utilisateurs de la Frugalware-Linux, j’ai repris le FrugalBuild de Devil505 et je l’ai modifié en conséquence :

# Pino-svn version.
# Based on Devil505 work 😉
# Compiling Time: 0.03 SBU
# Maintainer: Devil505

pkgname=pino-svn
pkgver=0.2.4
pkgrel=1
pkgdesc= »Pino is a Twitter client for the Linux desktop. It’s simple and fast. »
depends=(‘atk’ ‘libgee’ ‘libnotify’ ‘webkit’ ‘unique’ ‘libxinerama’ ‘libxi’ ‘libxrandr’ ‘libxcursor’ ‘libxcomposite’ ‘libjpeg’ ‘libxslt’ ‘libxt’ ‘libice’ ‘libuuid’ ‘gtkspell’ ‘hunspell’)
makedepends=(‘vala’ ‘intltool’)
options=(‘scriptlet’)
replaces=(‘pino’)
#_F_googlecode_ext= ».tar.bz2″
#_F_googlecode_dirname= »pino-twitter »
#_F_gnome_iconcache= »y »
groups=(‘xapps-extra’)
archs=(‘i686’ ‘x86_64’)

_F_scm_type= »mercurial »
_F_scm_url= »https://pino-twitter.googlecode.com/hg/ »
_F_gnome_desktop= »y »
_F_gnome_iconcache= »y »
Finclude gnome-scriptlet scm
build() {
Funpack_scm
./waf configure –prefix=/usr || Fdie
./waf build || Fdie
./waf install –destdir=$Fdestdir || Fdie
Fbuild_gnome_scriptlet
}

Pour la compilation ? Un simple :

sudo makepkg -uc

Et le paquet se compile sans problème.

Voici donc les captures d’écran de la nouvelle fonctionnalité qui apparait sous la forme d’une étoile à cliquer en haut à droite de chaque citation.

Ajout de favoris dans Pino

Et la boite qui résume les favoris que l’on a enregistré :

Liste des favoris dans pino

Décidément ce client léger a tout pour plaire, du moins, du plus en plus de quoi plaire l’utilisateur qui ne veut pas d’une usine à gaz pour son micro-blogging !

5 réflexions sur « Une nouveauté intéressante de la version de développement de Pino »

  1. Facebook, friendfeed c’est quoi 😀 !
    Bon moi je suis frustré, il veut pas compiler sur ma Debian. Je bloque sur
    ./waf configure –prefix=/usr
    Checking for unique-1.0 >= 1.0 : Package unique-1.0 was not found in the pkg-config search path

    Pourtant j’ai installé les package gir1.0-unique-1.0 et libunique-1.0-0 c’est les seuls que j’ai trouvé dans les dépots de ma squeeze qui semblent correspondre. Si quelqu’un a une idée…

Les commentaires sont fermés.